Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

List a page of elements matching the given criteria.

List a page of elements matching the given criteria. Gets a paginated list of architecture elements. The criteria are passed in the body - idsToIgnore and elementIdsToIgnore outgrow a URL as soon as they cover a whole space. Only the page to read stays in the query, so that paging through one and the same query does not mean resending its criteria.

Security: Any user holding a Bpanda licence for the process space.

POST/v1/warehouses/{warehouseId}/architectureElements/list
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

Warehouse-Id

Query parameters
pageinteger<int32>

Page number (starts with 1)

pageSizeinteger<int32>

Page size

Request body
requiredapplication/json

Criteria the returned elements have to match

conceptualClassModeListMode
Allowed:BlacklistWhitelist
conceptualClassesArchitectureElementType[]
createdAfterstring<date-time>
createdBeforestring<date-time>
elementIdsToIgnorestring[]
filterstring
filterByArchitectureFilter
Allowed:createdelementIdidlayermodifiedname
idsToIgnorestring[]
includeDeactivatedboolean
includeInvalidboolean
layerModeListMode
Allowed:BlacklistWhitelist
layersArchitectureElementLayer[]
manifestModeListMode
Allowed:BlacklistWhitelist
onlyOwnedboolean
orderArchitectureSortingOrder[]
publicationStatusPublicationStatus
Allowed:DraftPublished
sortByArchitectureSorting[]
Responses
200

Found and paginated ArchitectureElements

itemsBasicArchitectureElement[]required
Show properties
Array of BasicArchitectureElement
conceptualClassArchitectureElementTyperequired
Allowed:ApplicationCollaborationApplicationComponentApplicationEventApplicationFunctionApplicationInteractionApplicationInterfaceApplicationProcessApplicationServiceArchitectureElementArtifactAssessmentBusinessActorBusinessCollaborationBusinessEventBusinessFunctionBusinessInteractionBusinessInterfaceBusinessObjectBusinessProcessBusinessRoleBusinessServiceCapabilityCommunicationNetworkCommunicationPathConstraintContractCourseOfActionDataObjectDeliverableDeviceDistributionNetworkDriverEquipmentFacilityGapGoalGroupingImplementationEventLocationMaterialMeaningNodeOutcomePlateauPrincipleProductRepresentationRequirementResourceStakeholderSystemSoftwareTechnologyCollaborationTechnologyEventTechnologyFunctionTechnologyInteractionTechnologyInterfaceTechnologyProcessTechnologyServiceValueValueStreamWorkPackage
createdHistoryrequired
Show properties
atstringrequired
bystringrequired
elementIdstringrequired
hasPredecessorbooleanrequired
idstringrequired
layerArchitectureElementLayerrequired
Allowed:ApplicationLayerBusinessLayerGenericLayerImplementationAndMigrationLayerMotivationElementsStrategyLayerTechnologyLayer
modifiedHistory
Show properties
atstringrequired
bystringrequired
ownersEntityId[]required
Show properties
Array of EntityId
typeEntityIdTyperequired
Allowed:GroupIdOrgRoleIdOrgUnitIdUserId
valuestringrequired
principalIsOwnerbooleanrequired
propertiesBasicArchitectureProperty[]required
Show properties
Array of BasicArchitectureProperty
metaBasicArchitectureMetaPropertyrequired
Show properties
keystringrequired
labelstring
valuestring
publishedHistory
Show properties
atstringrequired
bystringrequired
representationRefId
Show properties
typestringrequired
specializationstring
validityStateArchitectureValidityStaterequired
Allowed:DraftInvalidNextUpcomingValid
visibilityVisibilityrequired
Show properties
lastChangeHistoryrequired
visiblebooleanrequired
metadataArchitecturePaginationMetadatarequired
Show properties
totalItemsinteger<int32>required
404

Warehouse not found

string
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/architectureElements/list' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "conceptualClassMode": "Blacklist",
  "conceptualClasses": [
    "ApplicationCollaboration"
  ],
  "createdAfter": "2019-08-24T14:15:22Z",
  "createdBefore": "2019-08-24T14:15:22Z",
  "elementIdsToIgnore": [
    "string"
  ],
  "filter": "string",
  "filterBy": "created",
  "idsToIgnore": [
    "string"
  ],
  "includeDeactivated": true,
  "includeInvalid": true,
  "layerMode": "Blacklist",
  "layers": [
    "ApplicationLayer"
  ],
  "manifestMode": "Blacklist",
  "onlyOwned": true,
  "order": [
    "ascending"
  ],
  "publicationStatus": "Draft",
  "sortBy": [
    "conceptualClass"
  ]
}'
Response
{
  "items": [
    {
      "conceptualClass": "ApplicationCollaboration",
      "created": {
        "at": "string",
        "by": "string"
      },
      "elementId": "string",
      "hasPredecessor": true,
      "id": "string",
      "layer": "ApplicationLayer",
      "modified": {
        "at": "string",
        "by": "string"
      },
      "owners": [
        {
          "type": "GroupId",
          "value": "string"
        }
      ],
      "principalIsOwner": true,
      "properties": [
        {
          "meta": {
            "key": "string",
            "label": "string"
          },
          "value": "string"
        }
      ],
      "published": {
        "at": "string",
        "by": "string"
      },
      "representation": {
        "type": "string"
      },
      "specialization": "string",
      "validityState": "Draft",
      "visibility": {
        "lastChange": {
          "at": "string",
          "by": "string"
        },
        "visible": true
      }
    }
  ],
  "metadata": {
    "totalItems": 0
  }
}